PDA

View Full Version : up2date errors



complete-noobie
5th April 2006, 10:45 PM
I have been using FC4 for a while now and I only started to get errors when I try to update my computer and now I just setup a new computer with FC4 and it's getting the same exact error. Here is the error get:

There was a fatal error communicating with the server. The message was:

An HTTP error occurred:
URL: http://mirror.linux.duke.edu/pub/fedora/linux/core/updates/4/i386///audit-1.0.13-1.fc4.i386.rpm
Status Code: 404
Error Message: Not Found


Any suggestions to get it to work???

taurus
5th April 2006, 10:51 PM
Have you tried yum to update your machines?


yum update

complete-noobie
5th April 2006, 10:53 PM
To be honest, I havn't but when I do, I get this error:

//var/cache/yum/updates-released/repomd.xml:1: parser error : Start tag expected, '<' not found
This site is a Mirror for:
^
Cannot open/read repomd.xml file for repository: updates-released
Error importing repomd.xml from updates-released: Error: could not parse file //var/cache/yum/updates-released/repomd.xml

lazlow
5th April 2006, 10:59 PM
Check and see what repos you have. Usually in /etc/yum.repos.d.

Lazlow

complete-noobie
5th April 2006, 11:02 PM
ok-which file shuld I read off to you?

lazlow
5th April 2006, 11:16 PM
Each file should represent a different repo(source). Look through them and find the one that matches up with your error.
Here is mine for updates:

[updates-released]
name=Fedora Core $releasever - $basearch - Released Updates
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/$basearch/
mirrorlist=http://fedora.redhat.com/download/mirrors/updates-released-fc$releasever
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

Lazlow

complete-noobie
5th April 2006, 11:54 PM
ok-I just changed something in yum.repos.d and it seemed to work... hmm.... ok well, I hope I find out what i did soon. Anywayz thanks for your help!! Kaleb